/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : Jul 29, 2022, 6:22:38 AM
    Author     : mortimers
*/

:root {
    --module-tag-color: #595959;
    --module-fineprint-color:#55565F;
    --H1-color:#0B3D6D;
    --box-background-alt: #f5f5f5;
}


html {
    font-size: 1vw; /*15.75px;*/
    line-height: Calc(1rem * 170%);
    font-weight: 400;
    color: #535353;
    font-family: Arial, sans-serif;
    text-rendering: optimizeLegibility !important;
}

/* Copyright 2014 Owen Versteeg; MIT licensed */
body,textarea,input,select{
    background:0;
    border-radius:0;
    margin:0;
}
.smooth{
    transition:all .2s;
}
.btn,.nav a, select{
    text-decoration:none;
    /*font-size:inherit;*/
}

.container{
    margin:0 20px;
    width:auto;
    min-height: 100%;

}
label>*{
    display:inline
}
form>*{
    display:block;
    margin-bottom:10px
}
.btn{
    background-color:#575757;
    background-color: #bbb;
    border-radius:6px;
    border:0;
    color:black;
    cursor:pointer;
    display:inline-block;
    margin:2px 0;
    padding:12px 30px 14px;
    font-size: 1rem;
    line-height: calc(1rem * 100%);
}
.btn:hover{
    background-color: #bbb;
    background-color:#575757;
    color:white;
}
.btn:active,.btn:focus{
    background:#575757;
    background:#0045E6;
    color:white;
}

.btn-a{
    background:#0045E6;
    background:#0055B6;
    color:white;
}
.btn-a:hover{
    background:#0056A7;
    color: black;
}
.btn-a:active,.btn-a:focus{
    background:#0056A7;
}

.btn-b{
    background:#036813;
    color:white;
}
.btn-b:hover{
    background:#2b4;
    color:black;
}
.btn-b:active,.btn-b:focus{
    background:#2a4
}

.btn-c{
    background:#A13233;
    color:white;
}
.btn-c:hover{
    background:#FF6666;
    color:black;
}
.btn-c:active,.btn-c:focus{
    background:#b22
}


/*.btn-d{
    background-color: lightblue;
}
.btn-d:hover{
    background:lightblue;
    color:black;
}
.btn-d:active,.btn-c:focus{
    background:darkblue;
    color:white;
}*/


.btn-sm{
    border-radius:4px;
    padding:10px 7px 11px
}
.btn-xsm{
    border-radius:4px;
    padding:5px 7px 5px
}
.row{
    margin:1% 0;
    overflow:auto
}
.col{
    float:left
}
.table,.c12{
    width:100%
}
.c11{
    width:91.66%
}
.c10{
    width:83.33%
}
.c9{
    width:75%
}
.c8{
    width:66.66%
}
.c7{
    width:58.33%
}
.c6{
    width:50%
}
.c5{
    width:41.66%
}
.c4{
    width:33.33%
}
.c3{
    width:25%
}
.c2{
    width:16.66%
}
.c1{
    width:8.33%
}

h1{
    font-family: serif;
    color:#0B3D6D;
    font-weight: 600;
    letter-spacing: normal;
    font-size:200%;
    line-height: calc(1rem * 130%);
}
h2{
    color:#005A9A; /*#0E3C5F; */
    font-weight: 600;
    letter-spacing: normal;
    font-size:150%;
    line-height: calc(1rem * 130%);
}
h3{
    color:#005A9A; /*#0E3C5F; */
    font-weight: 600;
    letter-spacing: normal;
    font-size:117%;
}
h4{
    color:#005A9A; /*#0E3C5F; */
    font-weight: 600;
    letter-spacing: normal;
    font-size:1rem;
    line-height: normal;
    padding:0;
    margin:0
}
/*.btn,select{
    font-size:1.25em
}*/
.ico{
    font:33px Arial Unicode MS,Lucida Sans Unicode
}
.addon,.btn-sm,.nav,textarea,input,select{
    outline:0;
    font-size:14px
}
textarea,input{
    padding:8px;
    border:1px solid #ccc
}
textarea:focus,input:focus,select:focus{
    border-color:#5ab
}
textarea,input[type=text]{
    -webkit-appearance:none;
    width:13em
}
.addon{
    padding:8px 12px;
    box-shadow:0 0 0 1px #ccc
}
.nav,.nav .current,.nav a:hover{
    background:#FCFCFC; /*whitesmoke;*/
    color:darkorange;
}
.nav{
    height:24px;
    padding:11px 0 15px;
    border-bottom: thin solid lightsalmon;
}
.nav a{
    color:black;
    padding-right:1em;
    position:relative;
    top:-1px
}
.nav .pagename{
    font-size:22px;
    top:1px
}
.btn.btn-close{
    background:#FCFCFC; /*whitesmoke;*/
    color:black;
    float:right;
    font-size:25px;
    margin:-54px 7px;
    display:none
}
@media(min-width:1310px){
    .container{
        margin-left:1rem;
        margin-right:1rem;
        /*width:100% 1270px*/
    }
}
@media(max-width:870px){
    .row .col{
        width:100%
    }
}
@media(max-width:500px){
    .btn.btn-close{
        display:block
    }
    .nav{
        overflow:hidden
    }
    .pagename{
        margin-top:-11px
    }
    .nav:active,.nav:focus{
        height:auto
    }
    .nav div:before{
        background:#FCFCFC;/*whitesmoke;*/
        border-bottom:10px double;
        border-top:3px solid;
        content:'';
        float:right;
        height:4px;
        position:relative;
        right:3px;
        top:14px;
        width:20px
    }
    .nav a{
        padding:.5em 0;
        display:block;
        width:50%
    }
}
.table th,.table td{
    padding:.5em;
    text-align:left
}
.table tbody>:nth-child(2n-1){
    background:#ddd
}
.msg{
    padding:.5em;
    background:#def;
    border:none;
    border-top:5px solid #59d;
    border-radius: 5px;
    margin-bottom:1rem;
    margin-top:1rem;

}

/* added by me */


.hero {
    /*background: #eee;*/
    /*padding: 20px;*/
    /*border-radius: 10px;*/
    margin-top: 1em;
}

.hero h1 {
    margin-top: 0;
    margin-bottom: 0.3em;
}

/* Min+ plugin*/
.message {
    display: block;
    /*padding: 2em;*/
    background: #def;
    border-top: 5px solid #44e;
    font-size: 1em;
    margin-bottom:0;
    color:#4E4E4E;
}


.warning {
    border-color: #e44;
    background: #fdd;
    color:#4A4A4A;
}
.notice {
    border-color: #b22;
    background: orange;
}
.caution {
    border-color: #cccc00;
    background: #ffffcc;
}

.great {
    border-color: #2d2;
    background: #dfd;
}

.dark {
    border-color: darkgrey;
    background: lightgray;
    color: #000
}

.hidden {
    display: none;
}
.unhidden {
    display: block;
}

.pageh3 {
    padding-bottom: 0;
    margin-bottom: 0;
    padding-top: 0;
    margin-top: 0;
    font-size:117%;
    line-height: normal;

}
.pageh1 {
    padding:0;
    margin: 0;
    border-bottom: #0B3D6D medium solid;
    font-family: Arial, sans-serif;
}
.footer {
    text-align: center;
    font-size: small;
    background-color: #FCFCFC;/*whitesmoke;*/
    padding: 0 1em 0 1em;
    margin-top: 5rem;
    text-align: center;
    min-height: 8rem;
    border-top:lightsalmon thin solid;
    /*border-bottom:lightsalmon thin solid;*/
    /*    background-image: url(/graphics/favicon.png);
        background-size: 7rem;
        background-repeat: no-repeat;*/
    /*width:100%;*/
    /*position: absolute;*/
    /*bottom: 0;*/
}

[href^="http:"]{
    background-image:url('/graphics/Icon_External_Link.png');
    background-repeat:no-repeat;
    background-position:right;
    padding-right:14px;
}
a[href^="https:"]{
    background-image:url('/graphics/Icon_External_Link.png');
    background-repeat:no-repeat;
    background-position:right;
    padding-right:14px;
}

.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
}



.tooltip {
    display:inline-block;
    position:relative;
    border-bottom:1px dotted #666;
    text-align:left;
}

.tooltip h3 {
    margin:12px 0;
}

.tooltip .bottom {
    min-width:200px;
    /*max-width:400px;*/
    top:40px;
    left:50%;
    transform:translate(-50%, 0);
    padding:10px;
    color:#6f7078;
    background-color:#ffffff;
    font-weight:normal;
    font-size:13px;
    border-radius:5px;
    position:absolute;
    z-index:99999999;
    box-sizing:border-box;
    box-shadow:0 1px 8px rgba(0,0,0,0.5);
    display:none;
}

.tooltip:hover .bottom {
    display:block;
}

.center{
    text-align: center;
}


.caption{
    padding:1rem;
    padding-top:0
}

.title {
    font-size: 1rem;
    line-height: calc(1rem * 125%);
    margin:0;
    padding-top:0rem;
    padding-bottom:0
}
.subtitle {
    font-size: .75rem;
    line-height: calc(.75rem * 117%);
    margin:0;
    padding:0
}

.instrument{
    background-color: whitesmoke;/*#FCFCFCwhitesmoke;*/
    border-radius: 10px;
}

.inst_lead{
    margin:0;
    padding-top:1rem;
    text-align: center;
}

.inst_main{
    margin:0;
    padding:0;
    height: 28rem;
    width:100%;
    overflow: hidden
}

.inst_about{
    padding-right:1rem;
}

.uid{
    text-align: right;
    font-size: xx-small;
    color:gray;
}

ul{
    margin:.25rem;
    padding-left: 1.5rem;
}

li:not(:last-child) {
    margin-bottom: 5px;
}
li:first-child {
    margin-top:0;
}

li{
    margin-left:0;
    padding-left:0;
}

a, p, ul li, ol li {
    line-height:normal; /*calc(1rem * 150%);*/
    font-size:normal;
    color: #535353;
}

.shadow {

    /*    
    1 The horizontal offset of the shadow, positive means the shadow will be on the right of the box, a negative offset will put the shadow on the left of the box.
    2 The vertical offset of the shadow, a negative one means the box-shadow will be above the box, a positive one means the shadow will be below the box.
    3 The blur radius (optional), if set to 0 the shadow will be sharp, the higher the number, the more blurred it will be.
    4 The spread radius (optional), positive values increase the size of the shadow, negative values decrease the size. Default is 0 (the shadow is same size as blur).
    5 Color
    */

    -moz-box-shadow:    3px 3px 10px -3px #ccc;
    -webkit-box-shadow: 3px 3px 10px -3px #ccc;
    box-shadow:         3px 3px 10px -3px #ccc;
}

p, a, ul, ol, td, span{
    font-size:1rem;
}

abbr {
    font-style: italic;
    font-weight: inherit;
    font-size:inherit;
    cursor: pointer;
}

.mba{
    background:#0ae;
    background-color: transparent;
    border:thick solid transparent;
    border-radius: 4px;
    font-size: 1rem;
    background:#999;
    text-decoration:none;
    color:white;
    cursor:pointer;
}
.mba:hover{
    background:#777;
    text-decoration:none;
}
.mba:active,.mba:focus{
    background:#08b
}

.box {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content:center;
}
.newrow, .advisor {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    /*justify-content:center;*/

}
.newcol {
    align-self: top;
}


.push {
    margin-left: auto;
}

blockquote {
    margin: 0;
}

blockquote p {
    padding: 15px;
    background: #eee;
    border-radius: 5px;
}

blockquote p::before {
    content: '\201C';
}

blockquote p::after {
    content: '\201D';
}

a, .fauxhref
{
    cursor: pointer;
    text-decoration: none;
    color:#036;
    text-decoration: underline;
    text-decoration-thickness:1px;
    text-decoration-color: rgba(0,0,238,.25);

}

a:hover, .fauxhref:hover{
    text-decoration: underline;
    text-decoration-thickness:2px;
    text-decoration-color: #036;

}

.clearhref{
    text-decoration: none;
    border-bottom: none;
}
.clearhref:hover{
    text-decoration: none;
    border-bottom: none;
}

.cleartop{
    margin-top:0!important;
    padding-top:0!important;
}

img, btn, button{
    /*transition:all .2s!important;*/

}

.page_image{
    top:-2rem;
    float: right;
    height:8rem; /*hide it by setting to 0*/
    z-index: 1000;
    background-color: white;
    visibility: visible;
    /*margin-right:1em;*/
}

.select{
    font-size:inherit;
}

/**:read-only, [readonly],[type='readonly'] {
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select:none;
  user-select:none;
}*/

.tldr>h3 {
    font-weight: bold;
    line-height: 200%;
    margin-bottom:0;
}

.bannerhelpbutton{
    float:right;
    font-size:inherit;
    margin-right:.5em;

}

:focus {
    outline: 2px solid red;
    transition: none!important;
    /*padding:2px;*/
}

a, a:focus{
    color:#036;
    padding:2px;
}

/*a{color:#036;}*/
/*a img{cursor:pointer;}*/
/*a:visited{
    text-decoration: unset; 
}*/
/*a:link,a:visited,a:hover{text-decoration:none;}*/
/*a:active{outline:0 none;position:relative;top:1px;}*/

hr {
    /*border: 1px solid #005A9A;*/
}

/*.CollapsiblePanelTab,  .CollapsiblePanelOpen .CollapsiblePanelTabHover {
    cursor: pointer;
    color:#005A9A;
    background-color: whitesmoke;
    font-weight: 700;
}*/

.colpad{
    padding-left:1rem;
    padding-right:1rem;
}

.yellow-highlight{
    background-color: #A13233;
    color: white;
    font-size:inherit;
}
.yellow-backlight{
    color: #A13233;
    font-size:inherit;
}

.block{
    padding:4rem;
    padding-top:2rem;
    padding-bottom:1rem;
    /*margin-top:2rem!important*/
}

.block-color-1{
    color: white!important;
}
.block-color-2{
    color: #0B3D6D!important;
}
.block-color-3{
    color: #FF5E5F!important;
}

.block-color-4{
    color: #535353;
    font-weight: normal;
}
.block-color-5{
    color: #535353;
    font-weight: bold;
}

.block-bgcolor-1{
    background-color: white;
}
.block-bgcolor-2{
    background-color: #FAFAFA; /*whitesmoke;*/
}
.block-bgcolor-3{
    background-color:black;/* #0B3D6D;*/
}
.block-bgcolor-4{
    background-color:black;/* #0B3D6D;*/
}

.bloom{
    font-size: Calc(100% * 1.25)!important;
    line-height: Calc(100% * 1.75)!important;
    letter-spacing: 1px;
}

.subhead{
    font-family:sans-serif;
    /*    padding-left:4rem;
        padding-right:4rem;*/
    font-size:3rem;
    line-height:4rem;
    color:black;
}

.subhead-1{
    font-family:sans-serif;
    /*    padding-left:4rem;
        padding-right:4rem;*/
    font-size:2.25rem;
    line-height:2.75rem;
    color:black; /*#0B3D6D;*/
}
.subhead-1-red{
    font-family:sans-serif;
    /*    padding-left:4rem;
        padding-right:4rem;*/
    font-size:2.25rem;
    line-height:2.75rem;
    color:#A13233;
}

.subhead-2{
    font-family:sans-serif;
    /*    padding-left:4rem;
        padding-right:4rem;*/
    font-size: 1.75rem;
    line-height:2.25rem;
    color:#A13233;
}
.subhead-2-black{
    font-family:sans-serif;
    /*    padding-left:4rem;
        padding-right:4rem;*/
    font-size: 1.75rem;
    line-height:2.25rem;
    color: #5E5E5E;
}

header{
    margin-bottom:1.5rem;
}











.CollapsiblePanel {
    margin: 0px;
    padding: 0px;
    border-left: solid 1px #CCC;
    border-right: solid 1px #999;
    border-top: solid 1px #999;
    border-bottom: solid 1px #CCC;
}

/* This is the selector for the CollapsiblePanelTab. This container houses
 * the title for the panel. This is also the container that the user clicks
 * on to open or close the panel.
 *
 * The name of the class ("CollapsiblePanelTab") used in this selector is not necessary
 * to make the widget function. You can use any class name you want to style an
 * CollapsiblePanel panel tab container.
 */
.CollapsiblePanelTab {
    font: bold 0.7em sans-serif;
    background-color: #DDD;
    border-bottom: solid 1px #CCC;
    margin: 0px;
    padding: 2px;
    cursor: pointer;
    -moz-user-select: none;
    -khtml-user-select: none;
}

/* This is the selector for a CollapsiblePanel's Content area. It's important to note that
 * you should never put any padding on the content area element if you plan to
 * use the CollapsiblePanel's open/close animations. Placing a non-zero padding on the content
 * element can cause the CollapsiblePanel to abruptly grow in height while the panels animate.
 *
 * The name of the class ("CollapsiblePanelContent") used in this selector is not necessary
 * to make the widget function. You can use any class name you want to style a
 * CollapsiblePanel content container.
 */
.CollapsiblePanelContent {
    margin: 0px;
    padding-bottom: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0rem;

}

/* An anchor tag can be used inside of a CollapsiblePanelTab so that the
 * keyboard focus ring appears *inside* the tab instead of around the tab.
 * This is an example of how to make the text within the anchor tag look
 * like non-anchor (normal) text.
 */
.CollapsiblePanelTab a {
    color: black;
    text-decoration: none;
}

/* This is an example of how to change the appearance of the panel tab that is
 * currently open. The class "CollapsiblePanelOpen" is programatically added and removed
 * from panels as the user clicks on the tabs within the CollapsiblePanel.
 */
.CollapsiblePanelOpen .CollapsiblePanelTab {
    background-color: #EEE;
}

/* This is an example of how to change the appearance of the panel tab when the
 * CollapsiblePanel is closed. The "CollapsiblePanelClosed" class is programatically added and removed
 * whenever the CollapsiblePanel is closed.
 */

.CollapsiblePanelClosed .CollapsiblePanelTab {
    /* background-color: #EFEFEF */
}

/* This is an example of how to change the appearance of the panel tab as the
 * mouse hovers over it. The class "CollapsiblePanelTabHover" is programatically added
 * and removed from panel tab containers as the mouse enters and exits the tab container.
 */
.CollapsiblePanelTabHover,  .CollapsiblePanelOpen .CollapsiblePanelTabHover {
    background-color: whitesmoke;
    color: black;
    font-weight: bold;
    cursor: pointer;
}

.CollapsiblePanelTab hover {
    color: black;
    text-decoration: yellow;
}

/* This is an example of how to change the appearance of all the panel tabs when the
 * CollapsiblePanel has focus. The "CollapsiblePanelFocused" class is programatically added and removed
 * whenever the CollapsiblePanel gains or loses keyboard focus.
 */
.CollapsiblePanelFocused .CollapsiblePanelTab {
    background-color: #3399FF;
}

.active_button_style{
    color:black;
    background-color:#ddeeff;
    font-weight: bolder;
    border: thin solid black;
    border-radius: 4px;
    padding:2px;
}

.chart_div{
    height:30rem;
    /*width: 70%!important;*/
    z-index: 1;
    padding:2.5%;
    margin:auto;
    min-height:250px!important;
}

select {
    -webkit-appearance: none; /* Removes default styling on Chrome and Safari */
    -moz-appearance: none; /* Removes default styling on Firefox */
    appearance: none; /* Removes default styling on other browsers */

    /* Applies custom styling to the select */
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 4px;
    font-size: inherit;
    color: #333;

    /* Adds arrow icon to select */
    background-image: url("graphics/arrow_down.png");
    background-repeat: no-repeat;
    background-position: right 1% center;
    background-size: 12px;
    padding-right: 2rem;
    font-size: 1rem;

    /* Adds hover and active styles */
    &:hover, &:active {
        border-color: #666;
    }




}
select option {
    font-size: medium!important;
}

.photo{
    height: 100%!important;
    width: 100%!important;
}
